use 5.005;
use ExtUtils::MakeMaker;
#
# $Id: Makefile.PL,v 1.11 2004/02/19 15:20:27 matt Exp $
#
# Copyright (c) 2003 The Network People, Inc. 
#

# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

$|++;

sub MY::postamble { 
q|

docs:
	pod2text doc/Changes.pod     > Changes
	pod2text lib/MATT/Apache.pm  > doc/Apache
	pod2text lib/MATT/DNS.pm     > doc/DNS
	pod2text lib/MATT/FreeBSD.pm > doc/FreeBSD
	pod2text lib/MATT/Mysql.pm   > doc/Mysql
	pod2text lib/MATT/Passwd.pm  > doc/Passwd
	pod2text lib/MATT/Perl.pm    > doc/Perl
	pod2text lib/MATT/Qmail.pm   > doc/Qmail
	pod2text lib/MATT/Quota.pm   > doc/Quota
	pod2text lib/MATT/Utility.pm > doc/Utility
	pod2text lib/MATT/Darwin.pm  > doc/Darwin

web:
	pod2html --title="MATT::Apache README"  lib/MATT/Apache.pm   > doc/html/Apache.html
	pod2html --title="MATT::DNS README"     lib/MATT/DNS.pm      > doc/html/DNS.html
	pod2html --title="MATT::FreeBSD README" lib/MATT/FreeBSD.pm  > doc/html/FreeBSD.html
	pod2html --title="MATT::Mysql README"   lib/MATT/Mysql.pm    > doc/html/Mysql.html
	pod2html --title="MATT::Passwd README"  lib/MATT/Passwd.pm   > doc/html/Passwd.html
	pod2html --title="MATT::Perl README"    lib/MATT/Perl.pm     > doc/html/Perl.html
	pod2html --title="MATT::Qmail README"   lib/MATT/Qmail.pm    > doc/html/Qmail.html
	pod2html --title="MATT::Quota README"   lib/MATT/Quota.pm    > doc/html/Quota.html
	pod2html --title="MATT::Utility README" lib/MATT/Utility.pm  > doc/html/Utility.html
	pod2html --title="MATT::Darwin README"  lib/MATT/Darwin.pm   > doc/html/Darwin.html
	pod2html --title="MATT::Changes README" doc/Changes.pod      > doc/html/Changes.html
	rm pod2htm*

	install -m 0644 doc/html/Apache.html  /Users/matt/Sites/www.tnpi.biz/computing/perl/MATT-Bundle/Apache.html
	install -m 0644 doc/html/DNS.html     /Users/matt/Sites/www.tnpi.biz/computing/perl/MATT-Bundle/DNS.html
	install -m 0644 doc/html/FreeBSD.html /Users/matt/Sites/www.tnpi.biz/computing/perl/MATT-Bundle/FreeBSD.html
	install -m 0644 doc/html/Mysql.html   /Users/matt/Sites/www.tnpi.biz/computing/perl/MATT-Bundle/Mysql.html
	install -m 0644 doc/html/Passwd.html  /Users/matt/Sites/www.tnpi.biz/computing/perl/MATT-Bundle/Passwd.html
	install -m 0644 doc/html/Perl.html    /Users/matt/Sites/www.tnpi.biz/computing/perl/MATT-Bundle/Perl.html
	install -m 0644 doc/html/Qmail.html   /Users/matt/Sites/www.tnpi.biz/computing/perl/MATT-Bundle/Qmail.html
	install -m 0644 doc/html/Quota.html   /Users/matt/Sites/www.tnpi.biz/computing/perl/MATT-Bundle/Quota.html
	install -m 0644 doc/html/Utility.html /Users/matt/Sites/www.tnpi.biz/computing/perl/MATT-Bundle/Utility.html
	install -m 0644 doc/html/Darwin.html  /Users/matt/Sites/www.tnpi.biz/computing/perl/MATT-Bundle/Darwin.html
	install -m 0644 doc/html/Changes.html /Users/matt/Sites/www.tnpi.biz/computing/perl/MATT-Bundle/Changes.html
	install -m 0744 MATT-Bundle-$(VERSION).tar.gz /Users/matt/Sites/www.tnpi.biz/computing/perl/MATT-Bundle/src/
	mv MATT-Bundle-$(VERSION).tar.gz /Users/matt/Sites/www.tnpi.biz/computing/perl/MATT-Bundle/MATT-Bundle.tar.gz

|;
}

WriteMakefile(
	'NAME'	       => 'MATT::Bundle',
	'AUTHOR'       => 'Matt Simerson <matt@tnpi.biz>',
	'VERSION_FROM' => 'lib/MATT/Bundle.pm', # finds $VERSION
	'PREREQ_PM'    => { 
		'Net::DNS'   => '0.4.0', 
		'DBI'        => '1.20', 
		'DBD::mysql' => '2' 
	}, # e.g., Module::Name => 1.1,
);

