#!/usr/bin/perl
use strict;

#
# $Id: SSL.pm,v 1.1 2003/11/22 06:06:53 matt Exp $
#

package MATT::Bundle::SSL;

use Carp;
use Exporter;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

$VERSION  = '1.1';

@ISA = qw(Exporter);
@EXPORT = qw( 
	InstallApacheSSLCerts
);
@EXPORT_OK = qw();

use MATT::Utility 1;

sub InstallApacheSSLCerts
{
	my ($type) = @_;

	my $crtdir = "/usr/local/etc/apache2/ssl.crt";
	unless (-d $crtdir) { SysCmd("mkdir -p $crtdir"); };

	my $keydir = "/usr/local/etc/apache2/ssl.key";
	unless (-d $keydir) { SysCmd("mkdir -p $keydir"); };

	if ($type eq "rsa") {
		InstallRSACert($crtdir, $keydir);
	} elsif ( $type eq "dsa" ) {
		#InstallDSACert($crtdir, $keydir);
	} else {
		InstallRSACert($crtdir, $keydir);
		#InstallDSACert($crtdir, $keydir);
	};
};

sub InstallDSACert
{
	my ($crtdir, $keydir) = @_;

	chdir("/usr/local/etc/apache2");

	my $crt    = "server-dsa.crt";
	my $key    = "server-dsa.key";
	my $csr    = "server-dsa.csr";

	#SysCmd("openssl gendsa 1024 > $keydir/$key");
	#SysCmd("openssl req -new -key $keydir/$key -out $crtdir/$csr");
	#SysCmd("openssl req -x509 -days 999 -key $keydir/$key -in $crtdir/$csr -out $crtdir/$crt");

#	use MATT::Perl;
#	LoadModule("Crypt::OpenSSL::DSA", "p5-Crypt-OpenSSL-DSA", "security");
#	require Crypt::OpenSSL::DSA;
#	my $dsa = Crypt::OpenSSL::DSA->generate_parameters( 1024 );
#	$dsa->generate_key;
#	unless ( -e "$crtdir/$crt" ) { $dsa->write_pub_key(  "$crtdir/$crt" ); };
#	unless ( -e "$keydir/$key" ) { $dsa->write_priv_key( "$keydir/$key" ); };
};

sub InstallRSACert
{
	my ($crtdir, $keydir) = @_;

	chdir("/usr/local/etc/apache2");

	my $csr    = "server.csr";
	my $crt    = "server.crt";
	my $key    = "server.key";

	SysCmd("openssl genrsa 1024 > $keydir/$key");
	SysCmd("openssl req -new -key $keydir/$key -out $crtdir/$csr");
	SysCmd("openssl req -x509 -days 999 -key $keydir/$key -in $crtdir/$csr -out $crtdir/$crt");
};


1;
__END__

=head1 NAME

Mail::Toaster::SSL


=head1 SYNOPSIS


=head1 DESCRIPTION


=head1 AUTHOR

Matt Simerson


=head1 BUGS

None known. Report any to matt@tnpi.biz.


=head1 TODO



=head1 SEE ALSO

MATT::Apache, MATT::DNS, MATT::FreeBSD, MATT::Mysql,
MATT::Passwd, MATT::Perl, MATT::Qmail, MATT::Quota
MATT::SSL, MATT::Utility


=head1 COPYRIGHT

Copyright 2003, The Network People, Inc. All Rights Reserved.

=cut
